import { isNoValue as o } from "../utils.mjs";
const c = {
  get(n) {
    let e;
    const t = n.component?.proxy;
    return t && (e = t.activeKey), e;
  },
  set(n, e) {
    if (o(e)) return;
    const t = n.component;
    t && (t.emit("update:activeKey", e), t.emit("change", e));
  }
};
export {
  c as default
};
